| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions | Variables
post_to_red.php File Reference

## Functions
| post_to_red_deactivate ()
| post_to_red_get_seed_location ()
| post_to_red_get_acct_name ()
| post_to_red_get_channel_name ()
| post_to_red_get_password ()
| post_to_red_post ($post_id)
| post_to_red_delete_post ($post_id)
| post_to_red_delete_comment ($post_id)
| post_to_red_displayAdminContent ()
| post_to_red_post_checkbox ()
| post_to_red_post_meta_content ($post_id)
| post_to_red_post_field_data ($post_id)
| post_to_red_display_admin_page ()
| post_to_red_settings_link ($links)
| post_to_red_admin ()
| red_xmlrpc_methods ($methods)
| red_comment ($args)
| post_to_red_get_avatar ($avatar, $id_or_email, $size, $default, $alt)

## Variables
const | post_to_red_path WP_PLUGIN_URL . "/" . str_replace(basename( __FILE__), "", plugin_basename(__FILE__))
const | post_to_red_version "1.2"
| $plugin_dir = basename(dirname(__FILE__))
| $plugin = plugin_basename(__FILE__)
const | post_to_red_acct_name "post_to_red_admin_options"

## Function Documentation

post_to_red_admin | ( |  | ) |

post_to_red_deactivate | ( |  | ) |

post_to_red_delete_comment | ( |  | $post_id | ) |

post_to_red_delete_post | ( |  | $post_id | ) |

post_to_red_display_admin_page | ( |  | ) |

post_to_red_displayAdminContent | ( |  | ) |

Referenced by post_to_red_display_admin_page().

post_to_red_get_acct_name | ( |  | ) |

Referenced by post_to_red_delete_comment(), post_to_red_delete_post(), post_to_red_displayAdminContent(), and post_to_red_post().

post_to_red_get_avatar | ( |  | $avatar,
|  |  | $id_or_email,
|  |  | $size,
|  |  | $default,
|  |  | $alt
| ) |  |

post_to_red_get_channel_name | ( |  | ) |

Referenced by post_to_red_delete_comment(), post_to_red_delete_post(), post_to_red_displayAdminContent(), and post_to_red_post().

post_to_red_get_password | ( |  | ) |

Referenced by post_to_red_delete_comment(), post_to_red_delete_post(), post_to_red_displayAdminContent(), and post_to_red_post().

post_to_red_get_seed_location | ( |  | ) |

Referenced by post_to_red_delete_comment(), post_to_red_delete_post(), post_to_red_displayAdminContent(), and post_to_red_post().

post_to_red_post | ( |  | $post_id | ) |

post_to_red_post_checkbox | ( |  | ) |

post_to_red_post_field_data | ( |  | $post_id | ) |

post_to_red_post_meta_content | ( |  | $post_id | ) |

post_to_red_settings_link | ( |  | $links | ) |

red_comment | ( |  | $args | ) |

red_xmlrpc_methods | ( |  | $methods | ) |

## Variable Documentation

$plugin = plugin_basename(__FILE__)

Referenced by admin_content(), admin_page_plugins(), get_plugin_info(), install_plugin(), load_plugin(), uninstall_plugin(), and unload_plugin().

$plugin_dir = basename(dirname(__FILE__))

const post_to_red_acct_name "post_to_red_admin_options"

const post_to_red_path WP_PLUGIN_URL . "/" . str_replace(basename( __FILE__), "", plugin_basename(__FILE__))

const post_to_red_version "1.2"